---
# YAML definition for Boolean Attribute
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:  '&IDC_TextAttribute;'
    name:      Text Attribute
    index:     4
    customTagName: 'textAttribute'
    superclasses:
    - instance: '&IDC_Attribute;'
    - instance: '&IDC_ExecutableReturningAttribute;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Value;'
      customTagName: 'value'
    - instance: '&IDA_MaximumLength;'
      customTagName: 'maximumLength'
    defaultTask: '&IDI_Task_TextAttribute_View;'
    relatedTasks:
    - instance: '&IDI_Task_TextAttribute_View;'
    - instance: '&IDI_Task_TextAttribute_Edit;'

  # YAML definition for Instances of Boolean Attribute, 1$5

  - textAttribute:      '&IDA_Name;'
    name:      Name
    index:     1
  - textAttribute:      '&IDA_Value;'
    name:      Value
    index:     2
  - textAttribute:      '&IDA_DisplayID;'
    name:      Display ID
    index:     3
  - textAttribute:      '&IDA_ClassName;'
    name:      Class Name
    index:     4
  - textAttribute:      '&IDA_Expression;'
    name:      Expression
    index:     5
  - textAttribute:      '&IDA_Comment;'
    name:      Comment
    index:     6
  - textAttribute:       '&IDA_Order;'
    name: 'Order'
    index: 7
  - textAttribute:       '&IDA_RelationshipType;'
    name: 'Relationship Type'
    index: 8
  - textAttribute:       '&IDA_MethodName;'
    name: 'Method Name'
    index: 9
  - textAttribute:       '&IDA_UserName;'
    name: 'UserName'
    index: 11
  - textAttribute:       '&IDA_ContentType;'
    name: 'Content Type'
    index: 16
  - textAttribute:       '&IDA_Encoding;'
    name: 'Content Encoding'
    index: 18
  - textAttribute:       '&IDA_WorkDataName;'
    name: 'Work Data Name'
    index: 19
  - textAttribute:       '&IDA_LabelOverride;'
    name: 'Label Override'
    index: 21
  - textAttribute:       '&IDA_Label;'
    name: 'Label'
    index: 22
  - textAttribute:       '&IDA_MethodType;'
    name: 'Method Type'
    index: 29
  - textAttribute:       '&IDA_Token;'
    name: 'Token'
    index: 33
  - textAttribute:       '&IDA_UserNameOrPasswordIncorrectMessage;'
    name: 'User Name or Password Incorrect Message'
    index: 34
    value: 'The user name or password you entered is not correct.'
    translations:
      - relationship: '&IDR_Translatable__has__Translation;'
        values:
          - language: '&IDI_Language_English;'
          - value: 'User Name or Password Incorrect Message'

  - textAttribute:      '&IDA_Verb;'
    name:      Verb
    index:     35
  - textAttribute:       '&IDA_Password;'
    name: 'Password'
    index: 36
  - textAttribute:       '&IDA_PasswordHash;'
    name: 'Password Hash'
    index: 37
  - textAttribute:       '&IDA_PasswordSalt;'
    name: 'Password Salt'
    index: 38

  - textAttribute: '&IDA_IPAddress;'
    index: 51

  - textAttribute: '&IDA_CSSValue;'
    index: 57

  - textAttribute:       '&IDA_MethodBindingType;'
    name: 'Method Binding Type'
    index: 60

  - textAttribute: '&IDA_NewPassword;'
    name: 'New Password'
    index: 84
  - textAttribute: '&IDA_VerifyNewPassword;'
    name: 'Verify New Password'
    index: 91

  - textAttribute: '&IDA_TargetURL;'
    name: 'Destination URL'
    index: 108

  - textAttribute: '&IDA_EmailAddress;'
    name: 'Email Address'
    index: 160

  - textAttribute: '&IDA_GlobalIdentifier;'
    name: 'Global Identifier'
    index: 3456

  - textAttribute: '&IDA_NotificationEmailAddress;'
    name: 'Email Address for Notifications'

  - textAttribute: '&IDA_PasswordRules;'
    name: 'Password Rules'
    value: 'Your new password must not be the same as your current password or user name.'

  - textAttribute:       '&IDA_GivenName;'
    name: 'Given Name'
  - textAttribute:       '&IDA_FamilyName;'
    name: 'Family Name'